.has-floating-nav .ds-btn, .has-floating-nav .seller-icon {
    right: 9px;
    -webkit-transition: -webkit-transform 0.2s;
    transition: -webkit-transform 0.2s;
    transition: transform 0.2s;
    transition: transform 0.2s, -webkit-transform 0.2s;
}
.has-floating-nav .icon__send-coupon {
    -webkit-transition: -webkit-transform 0.2s;
    transition: -webkit-transform 0.2s;
    transition: transform 0.2s;
    transition: transform 0.2s, -webkit-transform 0.2s;
}
.has-floating-nav--1 .ds-btn, .has-floating-nav--1 .seller-icon, .has-floating-nav--1 .icon__send-coupon {
    -webkit-transform: translate3d(0, -24px, 0);
            transform: translate3d(0, -24px, 0);
}
.has-floating-nav--2 .ds-btn, .has-floating-nav--2 .seller-icon, .has-floating-nav--2 .icon__send-coupon {
    -webkit-transform: translate3d(0, -80px, 0);
            transform: translate3d(0, -80px, 0);
}
.has-floating-nav--3 .ds-btn, .has-floating-nav--3 .seller-icon, .has-floating-nav--3 .icon__send-coupon {
    -webkit-transform: translate3d(0, -138px, 0);
            transform: translate3d(0, -138px, 0);
}
.has-floating-nav--active.has-floating-nav--1 .ds-btn, .has-floating-nav--active.has-floating-nav--1 .seller-icon, .has-floating-nav--active.has-floating-nav--1 .icon__send-coupon {
      -webkit-transform: translate3d(100px, -24px, 0);
              transform: translate3d(100px, -24px, 0);
}
.has-floating-nav--active.has-floating-nav--2 .ds-btn, .has-floating-nav--active.has-floating-nav--2 .seller-icon, .has-floating-nav--active.has-floating-nav--2 .icon__send-coupon {
      -webkit-transform: translate3d(100px, -80px, 0);
              transform: translate3d(100px, -80px, 0);
}
.has-floating-nav--active.has-floating-nav--3 .ds-btn, .has-floating-nav--active.has-floating-nav--3 .seller-icon, .has-floating-nav--active.has-floating-nav--3 .icon__send-coupon {
      -webkit-transform: translate3d(100px, -138px, 0);
              transform: translate3d(100px, -138px, 0);
}


.lazy-component__loading {
  height: 50px;
  text-align: center;
  box-sizing: border-box;
  padding: 5px 10px;
  overflow: hidden;
  background-color: #fff;
}
.lazy-component__loading .load-view {
    height: 100%;
    background-color: rgb(249, 249, 249);
}

/* default colors */
.showcase-loading {
  position: relative;
}
.showcase-loading__loading {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
}


.copyright {
  background-color: #f8f8f8;
  color: #999;
  font-size: 0;
  line-height: 16px;
  text-align: center;
}
.copyright .ft-links {
    padding: 30px 15px 10px;
}
.copyright .ft-links > a {
      padding: 0 15px;
      color: #666;
      font-size: 12px
}
.copyright .ft-links > a:not(:last-child) {
  border-right: 1px solid #e5e5e5;
}
.copyright .ft-copyright {
    padding: 50px 0 40px;
    margin: 0 15px;
    font-size: 12px;
    background: url(./images/copyright_20250805.png) no-repeat center 15px;
    background-size: 180px;
}
.copyright .ft-copyright > a {
      padding-top: 45px;
      color: #bfbfc3;
}
.copyright .ft-copyright .yz-logo {
      padding-left: 14px;
      position: relative
}
.copyright .ft-copyright .yz-logo::before {
  content: '';
  background: url(./images/copyright_20250805.png) no-repeat;
  background-size: 10px 12px;
  width: 10px;
  height: 12px;
  position: absolute;
  bottom: 1px;
  left: 0;
}
.footer {
  margin: 0;
  padding: 0;
  min-height: 1px;
  text-align: center;
  line-height: 16px;
  background-color: #f8f8f8;
}


.van-notice-bar {
  padding-left: 35px
}
.van-notice-bar::before {
  content: '';
  position: absolute;
  left: 10px;
  top: 10px;
  width: 16px;
  height: 16px;
  background-image: url(./images/broadcast_icon.png);
  background-size: 16px 16px;
}


/* default colors */
.shop-search {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  background-color: #fff;
  overflow: hidden;
  z-index: 999;
}
.shop-search__list-wrap {
    text-align: center;
}
.shop-search__title {
    padding: 15px;
    text-align: left;
    font-size: 12px;
    line-height: 1;
    color: #999;
}
.shop-search__hot-search-list, .shop-search__history-list {
    padding: 0 10px;
    overflow: hidden;
}
.shop-search__hot-search-list > li, .shop-search__history-list > li {
      float: left;
      margin: 0 10px 10px 0;
      padding: 0 10px;
      height: 32px;
      line-height: 32px;
      border-radius: 2px;
      border: none;
      background: #f6f6f6;
      font-size: 12px;
      color: #666;
      text-align: center;
}
.shop-search__recommend-list > li {
      width: 50%;
      padding: 5px;
      border: none;
      border-bottom: 1px solid #ddd;
      line-height: 30px;

      overflow: hidden;

      white-space: nowrap;

      text-overflow: ellipsis;
}
.shop-search__button {
    display: -webkit-inline-box;
    display: -webkit-inline-flex;
    display: inline-flex;
    -webkit-box-pack: center;
    -webkit-justify-content: center;
            justify-content: center;
    -webkit-box-align: center;
    -webkit-align-items: center;
            align-items: center;
    box-sizing: border-box;
    margin-top: 10px;
    width: 140px;
    height: 32px;
    border: 1px solid #e5e5e5;
    border-radius: 16px;
    font-size: 12px;
    color: #666;
}
.shop-search__clear-icon {
    width: 16px;
    height: 16px;
    margin-right: 5px;
}
.shop-search .van-search__action-text {
    color: #666;
}


.body-fixed-bottom {
  padding-bottom: 50px;
}
.cap-shop-nav {
  z-index: 101;
}
.cap-shop-nav--4 {
  bottom: 90px;
}
.van-swipe__indicator:not(:last-child) {
    margin-right: 10px;
}
